form.search-form {
  display: flex;
  align-items: center;
  position: fixed;
  top: -100%;
  background-color: #ffffff;
  padding: 15px;
  width: 100%;
  visibility: hidden;
  transition: top 0.12s linear;
  left: 0;
  box-shadow: inset 0px 2px 3px 0px rgba(0, 0, 0, 0.0784313725);
  will-change: top;
  z-index: -2;
}
form.search-form.opened {
  visibility: visible;
  z-index: 100;
  top: 40px;
  transition: top 0.12s linear;
}
form.search-form input[type=search] {
  display: block;
  background-color: #F6F6F6;
  border-radius: 100px;
  padding: 10px 50px 10px 20px;
  font-size: 16px;
  color: #000;
}
form.search-form input[type=search]::-moz-placeholder {
  color: #000;
}
form.search-form input[type=search]::placeholder {
  color: #000;
}
form.search-form input[type=search]::-webkit-search-decoration, form.search-form input[type=search]::-webkit-search-cancel-button, form.search-form input[type=search]::-webkit-search-results-button, form.search-form input[type=search]::-webkit-search-results-decoration {
  -webkit-appearance: none;
}
form.search-form input[type=search]:focus {
  border-color: var(--blue);
}
form.search-form button.search-form-submit {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
  background-color: transparent;
  font-size: 15px;
  right: 26px;
  width: 42px;
  height: 42px;
  color: var(--darkGray);
}

.menu-navigation-mobile {
  position: fixed;
  z-index: 999;
  background: #fff;
  left: 0;
  top: 40px;
  max-width: 300px;
  width: 100%;
  height: 100vh;
  padding: 25px 20px 80px 20px;
  z-index: 999;
  transform: translate(-100%, 0);
  transition: transform 0.2s linear;
}
.menu-navigation-mobile > ul.nav-menu {
  list-style: none;
  padding: 0;
  padding-left: 15px;
  margin: 0;
}
.menu-navigation-mobile ul li a {
  display: flex;
  align-items: center;
  gap: 6px;
  flex-wrap: nowrap;
  -webkit-text-decoration: 1px underline;
          text-decoration: 1px underline;
  text-underline-offset: 4px;
  text-decoration-color: transparent;
  transition: text-decoration-color 0.12s ease-in-out;
}
.menu-navigation-mobile ul li a:has(.menuicon) {
  margin-left: -18px;
}
@media (any-hover: hover) {
  .menu-navigation-mobile ul li:hover > a {
    text-decoration-color: inherit;
    transition: text-decoration-color 0.12s ease-in-out;
  }
}
.menu-navigation-mobile li {
  display: flex;
  margin-bottom: 20px;
}
.menu-navigation-mobile li a {
  font-size: 16px;
  line-height: 18px;
}
.menu-navigation-mobile li:last-child {
  margin-bottom: 0;
}
.menu-navigation-mobile li.menu-item.menu-item-has-children {
  padding-right: 16px;
  background-image: url(../img/svg/submenu.svg);
  background-repeat: no-repeat;
  background-position: center right;
  background-size: 6px;
}
.menu-navigation-mobile .menu-navigation__controls {
  position: relative;
  z-index: 100;
  display: none;
}
.menu-navigation-mobile .sub-menu {
  position: absolute;
  background: #fff;
  list-style: none;
  padding: 0;
  left: 0;
  top: 0;
  height: 100vh;
  width: 100%;
  transform: translate(-120%, 0);
  visibility: hidden;
  transition: all 0.2s linear;
  padding: 70px 35px;
}
.menu-navigation-mobile .sub-menu.opened {
  transform: translate(0, 0);
  visibility: visible;
  transition: all 0.2s linear;
  z-index: 2;
}
.menu-navigation-mobile.opened {
  transform: translate(0, 0);
  transition: transform 0.2s linear;
}
.menu-navigation-mobile .menu-navigation__controls-wrap {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  margin-bottom: 20px;
}
.menu-navigation-mobile button.menu-navigation__back {
  position: relative;
  display: flex;
  align-items: center;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  color: #727B87;
  font-size: 15px;
  gap: 6px;
  padding-left: 0;
  background-color: transparent;
}
.menu-navigation-mobile button.menu-navigation__back::before {
  content: "";
  display: block;
  width: 10px;
  height: 20px;
  background-image: url(../img/svg/back.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: 6px;
}

.form-searchresults {
  position: fixed;
  width: 100%;
  top: 108px;
  right: 0;
  display: flex;
  justify-content: flex-end;
  visibility: hidden;
  z-index: 1000;
  max-width: 100%;
  background-color: #ffffff;
  transform-origin: 0 0;
  transform: scaleY(0);
  will-change: transform;
  transition: transform 0.12s ease;
  z-index: -1;
}
.form-searchresults.opened {
  transform: scaleY(1);
  visibility: visible;
  z-index: 60;
  transition: transform 0.12s ease;
}
.form-searchresults .form-searchresults__list {
  padding: 15px;
  overflow: hidden;
  width: 100%;
  max-height: 88vh;
  height: 100%;
  padding-bottom: 80px;
  overflow-y: scroll;
}
.form-searchresults .form-searchresults__list ul {
  list-style: none;
  padding: 0;
}
.form-searchresults .form-searchresults__list ul li {
  margin-bottom: 25px;
}
.form-searchresults .form-searchresults__list ul li a {
  display: flex;
  align-items: flex-start;
  gap: 10px;
}
.form-searchresults .form-searchresults__list ul li a img {
  max-width: 26px;
  border-radius: 4px;
  overflow: hidden;
  flex-shrink: 0;
}
.form-searchresults .form-searchresults__list ul li a span.product-name {
  font-size: 12px;
  line-height: normal;
  display: block;
  width: 100%;
}
.form-searchresults .form-searchresults__list ul li a span.product-price {
  text-align: right;
  font-size: 14px;
  line-height: normal;
  min-width: 100px;
}

@media screen and (min-width: 768px) {
  .menu-navigation-mobile {
    top: 60px;
  }
  form.search-form {
    padding: 20px 15px;
  }
  form.search-form.opened {
    top: 60px;
  }
  form.search-form input[type=search] {
    font-size: 16px;
  }
  .form-searchresults {
    top: 142px;
  }
  .form-searchresults .form-searchresults__list {
    padding: 20px 15px;
  }
  .form-searchresults .form-searchresults__list ul li a {
    gap: 15px;
  }
  .form-searchresults .form-searchresults__list ul li a img {
    max-width: 36px;
  }
  .form-searchresults .form-searchresults__list ul li a span.product-name {
    font-size: 14px;
  }
  .form-searchresults .form-searchresults__list ul li a span.product-price {
    font-size: 16px;
  }
}
@media screen and (min-width: 1024px) {
  .menu-navigation-mobile {
    top: 88px;
  }
  form.search-form {
    padding: 30px 20px;
  }
  form.search-form.opened {
    top: 87px;
  }
  .form-searchresults {
    top: 188px;
  }
  .form-searchresults .form-searchresults__list {
    padding: 30px 20px;
  }
  .form-searchresults .form-searchresults__list ul li a {
    gap: 15px;
  }
  .form-searchresults .form-searchresults__list ul li a img {
    max-width: 36px;
  }
  .form-searchresults .form-searchresults__list ul li a span.product-name {
    font-size: 16px;
  }
  .form-searchresults .form-searchresults__list ul li a span.product-price {
    font-size: 16px;
  }
}
@media screen and (min-width: 1279px) {
  .menu-navigation-desktop {
    position: fixed;
    max-width: 1430px;
    width: 100%;
    background-color: #fff;
    height: auto;
    max-height: 690px;
    left: 50%;
    border-radius: 20px;
    padding: 0 0 50px 40px;
    top: 150px;
    opacity: 1;
    visibility: hidden;
    transform-origin: 0 0;
    transform: translate(-50%, 0) scaleY(0);
    overflow: hidden;
    transition: all 0.1s linear;
    z-index: -1;
  }
  .menu-navigation-desktop.opened {
    opacity: 1;
    visibility: visible;
    transform: translate(-50%, 0) scaleY(1);
    z-index: 100;
  }
  .menu-navigation-desktop .menu-navigation-desktop__wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 57px 20px;
    overflow-y: scroll;
    height: 71vh;
    padding-top: 50px;
    padding-bottom: 50px;
  }
  .menu-navigation-desktop .menu-category {
    max-width: 320px;
    width: 100%;
    display: flex;
    align-items: flex-start;
    gap: 20px;
  }
  .menu-navigation-desktop .menu-category .menu-category-wrap > ul {
    list-style: none;
    padding: 0;
  }
  .menu-navigation-desktop .menu-category .menu-category-wrap > ul > li {
    margin-bottom: 8px;
  }
  .menu-navigation-desktop .menu-category .menu-category-wrap > ul > li > a {
    font-size: 17px;
    line-height: 25px;
    font-weight: 400;
    transition: color 0.12s ease-out;
  }
  .menu-navigation-desktop .menu-category .menu-category-wrap > ul > li > a:hover {
    color: var(--blue);
    transition: color 0.12s ease-in;
  }
  .menu-navigation-desktop .menu-category .menu-category-wrap > ul > li > a.more-categories-link {
    font-size: 15px;
    color: var(--blue);
    -webkit-text-decoration: underline 1px;
            text-decoration: underline 1px;
    text-underline-offset: 2px;
    transition: text-decoration-color 0.12s ease-in;
  }
  .menu-navigation-desktop .menu-category .menu-category-wrap > ul > li > a.more-categories-link:hover {
    text-decoration-color: transparent;
    transition: text-decoration-color 0.12s ease-in;
  }
  .menu-navigation-desktop h4.menu-category-name {
    font-size: 18px;
    line-height: 25px;
    font-weight: 600;
    margin-bottom: 8px;
  }
  .menu-navigation-desktop .close-catalog-button {
    position: absolute;
    right: 32px;
    top: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 20px;
    height: 20px;
    padding: 0;
    background-color: transparent;
  }
  .menu-navigation-desktop .close-catalog-button:hover {
    cursor: pointer;
  }
  .menu-navigation-desktop .close-catalog-button:hover span.icon-close-catalog-sm:before {
    color: var(--blue);
    transition: color 0.12s ease-in;
  }
  form.search-form {
    position: relative;
    top: auto;
    visibility: visible;
    background-color: transparent;
    box-shadow: none;
    left: auto;
    max-width: 472px;
    width: 100%;
    padding: 0;
    z-index: 0;
  }
  form.search-form.opened {
    top: 0;
  }
  form.search-form input[type=search] {
    display: block;
    padding: 26px 42px;
    background-color: #F6F6F6;
    border: none;
    border-radius: 100px;
    font-size: 20px;
    overflow: hidden;
    line-height: 25px;
    font-weight: 500;
    color: #000;
  }
  form.search-form button[type=submit] {
    position: absolute;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 110px;
    height: 100%;
    color: #000;
    font-size: 28px;
  }
  .form-searchresults {
    top: 160px;
    max-width: 640px;
    width: 100%;
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.15);
  }
  .form-searchresults .form-searchresults__list {
    padding: 40px;
  }
  .form-searchresults .form-searchresults__list ul li a {
    gap: 24px;
  }
  .form-searchresults .form-searchresults__list ul li a span.product-name {
    font-size: 17px;
    line-height: 23px;
  }
  .form-searchresults .form-searchresults__list ul li a span.product-price {
    font-size: 16px;
  }
}